# Accessibility Internals

Use this page to inspect the internal representation of accessibility in Chrome. You can see and modify the various accessibility modes Chrome has. You can also view the accessibility tree for a specific page, or for the Chrome app natively.

## Accessibility modes:

Check/uncheck accessibility modes to see how they change a page's accessibility.

Native accessibility API support
Allows Chrome to be controlled via native accessibility APIs specific to this platform.
Web accessibility
Accessibility support is enabled for web content.
Text metrics
Enables support for querying line breaks and the bounding box of arbitrary character ranges.
Screen reader support
Exposes accessibility APIs typically needed only by screen readers.
HTML
Exposes HTML tag names and attributes via accessibility APIs.

## Accessibility tree viewing options:

Internal
Show internal accessibility tree instead of native

### Filters:

Use filters to match the attributes and attribute values you want included in the output. Filters can contain simple wildcards (*) only, they're not regular expressions. Attributes are separated by spaces.

Allow:
Include these attributes. Empty attributes are skipped.
Allow empty:
Include these attributes, even if they are empty.
Deny:
Exclude these attributes.

## Command line options:

Accessibility features in Chrome are off by default and enabled automatically on-demand. Changes to these modes only take effect until the next time Chrome is restarted.

To force accessibility to be enabled at launch, run Chrome with this flag:

    --force-renderer-accessibility

To disable accessibility, run Chrome with this flag:

    --disable-renderer-accessibility

## Chrome Native UI:

Set a delay, in milliseconds, before getting the native accessibility tree:
ms

## Pages:

## Top Level Windows:

Top Level Window support is not available on this platform.